/*

<Aicaca Community Messenger Client>

Copyright (c) Aicaca.com, All rights reserved.

Writer                : Byung-ku, Cho (Aicaca)
E-mail                : aicaca@hanmail.net
Personal Homepage URL : http://www.aicaca.com
Last Updated Date     : Feb. 27th, 2002

Programming Language  : C#
Editor & Compiler     : VisualStudio.NET

*/


using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace TalkClient
{
	public class WinBoardPassword : System.Windows.Forms.Form
	{
        private WinBoard xWinBoard;
		private System.Windows.Forms.Label pwdLabel;
		private System.Windows.Forms.TextBox pwdBox;
		private System.Windows.Forms.Button saveButton;
		private System.Windows.Forms.Button cancelButton;
		private System.Windows.Forms.TabControl tabControl;
		private System.Windows.Forms.TabPage mainTap;
		private System.ComponentModel.Container components = null;

		public WinBoardPassword(WinBoard tWinBoard)
		{
            xWinBoard = tWinBoard;

			InitializeComponent();
			this.ShowDialog();
		}

		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		private void InitializeComponent()
		{
			this.pwdLabel = new System.Windows.Forms.Label();
			this.pwdBox = new System.Windows.Forms.TextBox();
			this.saveButton = new System.Windows.Forms.Button();
			this.cancelButton = new System.Windows.Forms.Button();
			this.tabControl = new System.Windows.Forms.TabControl();
			this.mainTap = new System.Windows.Forms.TabPage();
			this.tabControl.SuspendLayout();
			this.mainTap.SuspendLayout();
			this.SuspendLayout();
			// 
			// pwdLabel
			// 
			this.pwdLabel.Location = new System.Drawing.Point(8, 16);
			this.pwdLabel.Name = "pwdLabel";
			this.pwdLabel.Size = new System.Drawing.Size(80, 23);
			this.pwdLabel.TabIndex = 0;
			this.pwdLabel.Text = "Password";
			this.pwdLabel.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// pwdBox
			// 
			this.pwdBox.Location = new System.Drawing.Point(96, 16);
			this.pwdBox.MaxLength = 20;
			this.pwdBox.Name = "pwdBox";
			this.pwdBox.Size = new System.Drawing.Size(120, 21);
			this.pwdBox.TabIndex = 1;
			this.pwdBox.Text = "";
			// 
			// saveButton
			// 
			this.saveButton.Location = new System.Drawing.Point(72, 88);
			this.saveButton.Name = "saveButton";
			this.saveButton.Size = new System.Drawing.Size(88, 23);
			this.saveButton.TabIndex = 2;
			this.saveButton.Text = "Save";
			this.saveButton.Click += new System.EventHandler(this.saveButton_Click);
			// 
			// cancelButton
			// 
			this.cancelButton.Location = new System.Drawing.Point(168, 88);
			this.cancelButton.Name = "cancelButton";
			this.cancelButton.Size = new System.Drawing.Size(80, 23);
			this.cancelButton.TabIndex = 3;
			this.cancelButton.Text = "Cancel";
			this.cancelButton.Click += new System.EventHandler(this.cancelButton_Click);
			// 
			// tabControl
			// 
			this.tabControl.Controls.AddRange(new System.Windows.Forms.Control[] {
																					 this.mainTap});
			this.tabControl.Location = new System.Drawing.Point(8, 8);
			this.tabControl.Name = "tabControl";
			this.tabControl.SelectedIndex = 0;
			this.tabControl.Size = new System.Drawing.Size(240, 72);
			this.tabControl.TabIndex = 4;
			// 
			// mainTap
			// 
			this.mainTap.Controls.AddRange(new System.Windows.Forms.Control[] {
																				  this.pwdLabel,
																				  this.pwdBox});
			this.mainTap.Location = new System.Drawing.Point(4, 21);
			this.mainTap.Name = "mainTap";
			this.mainTap.Size = new System.Drawing.Size(232, 47);
			this.mainTap.TabIndex = 0;
			this.mainTap.Text = "Password";
			// 
			// WinBoardPassword
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(6, 14);
			this.ClientSize = new System.Drawing.Size(256, 117);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.tabControl,
																		  this.saveButton,
																		  this.cancelButton});
			this.MaximizeBox = false;
			this.Name = "WinBoardPassword";
			this.Text = "WinBoardPassword";
			this.tabControl.ResumeLayout(false);
			this.mainTap.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private void saveButton_Click(object sender, System.EventArgs e)
		{
            xWinBoard.CheckPassword(this.pwdBox.Text);
			this.Close();
		}

		private void cancelButton_Click(object sender, System.EventArgs e)
		{
            this.Close();
		}
	}
}
